Package Details: pycryptopp 0.7.1-1

Git Clone URL: https://aur.archlinux.org/pycryptopp.git (read-only)
Package Base: pycryptopp
Description: Python wrappers for the Crypto++ library
Upstream URL: http://allmydata.org/trac/pycryptopp
Licenses: GPL
Submitter: None
Maintainer: skydrome
Last Packager: skydrome
Votes: 27
Popularity: 0.002096
First Submitted: 2010-07-23 15:59
Last Updated: 2017-01-09 07:53

Latest Comments

jerome2016 commented on 2016-12-29 19:22

pycryptop-0.7.1-2 failed to install
no error, but i see that it try to install a version 0.7.1-2 but sources from links on this page show a version0.7.1-86.........

i think the package informations are wrong.
please could you check it seriuously and tell me if there is something wrong ?

kete commented on 2016-04-28 19:59

pycryptopp-0.6.0.1206569328141510525648634803928199668821045408958.tar.gz ... FAILED (unknown public key 5F22F428242BE85F)
==> ERROR: One or more PGP signatures could not be verified!

PS—solved it with 'gpg --recv-keys --keyserver hkp://pgp.mit.edu 5F22F428242BE85F'

kvtb commented on 2016-04-18 19:49

at the moment, this package only builds if the following line is added to the PKGBUILD:
makedepends=('python2-setuptools')
would be nice if you could add this line, thanks in advance

npouillard commented on 2012-06-28 15:49

[Unflagged the Out-of-date]

The package is up to date. The internal version number is indeed 0.6.0.1206569328141510525648634803928199668821045408958.

Anonymous comment on 2012-05-28 01:26

updated PKGBUILD @ http://pastebin.com/jdhrN6Ma

lenzenmi commented on 2012-03-13 22:18

I had to remove 'darcsver' from the depends in the PKGBUILD to get this to compile. Darcsver is required by the setuptools_darcs package so it still gets installed. I guess order is important here

npouillard commented on 2011-04-28 21:57

@crocowhile indeed.

pycryptopp 0.5.29-2 uploaded.

crocowhile commented on 2011-04-28 14:30

It does compile only if I put back export PYCRYPTOPP_DISABLE_EMBEDDED_CRYPTOPP=1'

crocowhile commented on 2011-04-28 14:15

Doesn't compile for me.
I get


embeddedcryptopp/cryptlib.cpp:33:26: error: uninitialized const ‘CryptoPP::g_nullNameValuePairs’ [-fpermissive]
embeddedcryptopp/cryptlib.h:321:20: note: ‘const class CryptoPP::NullNameValuePairs’ has no user-provided default constructor
error: command 'gcc' failed with exit status 1
==> ERROR: A failure occurred in build().

npouillard commented on 2011-03-03 08:34

0.5.29-1 uploaded.

vali commented on 2010-09-28 20:54

I removed the line 'export PYCRYPTOPP_DISABLE_EMBEDDED_CRYPTOPP=1' from PKGBUILD to get a successful build.